import AlbumList from "@/components/galleries/AlbumList";
import prisma from "@/lib/prisma";

export default async function GalleryPage({ params }: { params: { gallerySlug: string } }) {
  const { gallerySlug } = await params;

  const gallery = await prisma.gallery.findUnique({
    where: {
      slug: gallerySlug
    },
    include: {
      albums: { where: { images: { some: {} } }, include: { coverImage: true } }
    }
  })

  return (
    <div className="max-w-7xl mx-auto px-4 py-12 space-y-12">
      {gallery && (
        <>
          <section className="text-center space-y-4">
            <h1 className="text-4xl font-bold tracking-tight">{gallery.name}</h1>
            <p className="text-lg text-muted-foreground">
              {gallery.description}
            </p>
          </section>
          <AlbumList albums={gallery.albums} gallerySlug={gallerySlug} />
        </>
      )}
    </div>
  );
}