"use client";

import { ChevronRight, HomeIcon } from "lucide-react";
import Link from "next/link";

export function Breadcrumbs({
  items,
}: {
  items: { name: string; href?: string }[];
}) {
  return (
    <nav className="flex items-center text-sm mb-4 text-muted-foreground">
      <Link href="/" className="flex items-center gap-1 hover:text-foreground">
        <HomeIcon size={16} />
      </Link>
      {items.map((item, idx) => (
        <span key={idx} className="flex items-center">
          <ChevronRight size={16} className="mx-1" />
          {item.href ? (
            <Link href={item.href} className="hover:text-foreground">
              {item.name}
            </Link>
          ) : (
            <span className="text-foreground">{item.name}</span>
          )}
        </span>
      ))}
    </nav>
  );
}
