// utils/socialIconMap.ts
import {
  GithubIcon,
  GlobeIcon,
  InstagramIcon,
  LinkIcon,
  MailIcon,
  MessageCircleIcon,
  SendIcon,
  TwitterIcon,
  UserIcon,
  YoutubeIcon,
} from "lucide-react"

export function getSocialIcon(type: string) {
  switch (type.toLowerCase()) {
    case "website":
    case "linktree":
      return GlobeIcon
    case "twitter":
      return TwitterIcon
    case "instagram":
      return InstagramIcon
    case "youtube":
      return YoutubeIcon
    case "email":
      return MailIcon
    case "github":
      return GithubIcon
    case "telegram":
      return SendIcon
    case "mastodon":
    case "fediverse":
      return MessageCircleIcon
    case "furaffinity":
      return UserIcon
    default:
      return LinkIcon
  }
}
